com.unitech.lib.engine.types

## Enum GS1AI

- java.lang.Object
- - java.lang.Enum<GS1AI>
  - - com.unitech.lib.engine.types.GS1AI

- All Implemented Interfaces:
    Serializable, Comparable<GS1AI>

      public enum GS1AI
      extends Enum<GS1AI>

  The GS1AI enum represents different types of GS1 Application Identifiers. Each GS1 Application Identifier is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of a GS1 Application Identifier, and to get a GS1 Application Identifier from its byte value. It also provides a method to get an array containing the names of the GS1 Application Identifiers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `apply`
    `applyWithSeparator`
    `noApply`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GS1AI` | `fromValue(int value)` Gets a GS1 Application Identifier from its byte value.
    `byte` | `getCode()` Gets the byte value of the GS1 Application Identifier.
    `static String[]` | `names()` Returns an array containing the names of the GS1 Application Identifier constants.
    `String` | `toString()` Returns the string message of the GS1 Application Identifier.
    `static GS1AI` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GS1AI[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### noApply

          public static final GS1AI noApply

    - #### apply

          public static final GS1AI apply

    - #### applyWithSeparator

          public static final GS1AI applyWithSeparator

  - ### Method Detail

    - #### values

          public static GS1AI[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GS1AI c : GS1AI.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GS1AI valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the GS1 Application Identifier.
      Returns:
        The byte value of the GS1 Application Identifier.

    - #### toString

          public String toString()

      Returns the string message of the GS1 Application Identifier.
      Overrides:
        `toString` in class `Enum<GS1AI>`
      Returns:
        The string message of the GS1 Application Identifier.

    - #### fromValue

          public static GS1AI fromValue(int value)
                                 throws IllegalArgumentException

      Gets a GS1 Application Identifier from its byte value.
      Parameters:
        `value` - The byte value of the GS1 Application Identifier.
      Returns:
        The GS1 Application Identifier associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any GS1 Application Identifier.

    - #### names

          public static String[] names()

      Returns an array containing the names of the GS1 Application Identifier constants.
      Returns:
        An array containing the names of the GS1 Application Identifier constants.